Bug 152344 - CAN-2005-0711 Insecure temporary file creation with CREATE TEMPORARY TABLE
Summary: CAN-2005-0711 Insecure temporary file creation with CREATE TEMPORARY TABLE
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: mysql   
(Show other bugs)
Version: 3.0
Hardware: All Linux
medium
high
Target Milestone: ---
Assignee: Tom Lane
QA Contact: David Lawrence
URL:
Whiteboard: impact=important,public=20050311,sour...
Keywords: Security
: 151681 151734 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-03-28 18:41 UTC by Josh Bressers
Modified: 2013-07-03 03:04 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-03-28 19:44:50 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2005:334 normal SHIPPED_LIVE Important: mysql security update 2005-03-28 05:00:00 UTC

Description Josh Bressers 2005-03-28 18:41:23 UTC
+++ This bug was initially created as a clone of Bug #150868 +++

Description of problem:
If an authenticated user has CREATE TEMPORARY TABLE privileges on any
existent database, a symlink attack is possible. 

Reported to vulnwatch.org by Stefano Di Paola on 11 Mar 2005

Version-Release number of selected component (if applicable):
mysql-4.1.7-5.RHEL4.1

How reproducible:
Requires some luck to guess name that will be used for temp file,
but unfortunately that's fairly predictable.

Steps to Reproduce:
1.  See vulnwatch report.

Additional info:
This is fixed in 4.1.10a, which we should upgrade to anyway as it
contains numerous other bug fixes.

Comment 1 Josh Bressers 2005-03-28 18:47:14 UTC
This issue affects RHEL3 and RHEL2.1 (mysql3)

Comment 2 Josh Bressers 2005-03-28 18:52:17 UTC
*** Bug 151681 has been marked as a duplicate of this bug. ***

Comment 3 Josh Bressers 2005-03-28 18:53:14 UTC
*** Bug 151734 has been marked as a duplicate of this bug. ***

Comment 4 Josh Bressers 2005-03-28 19:44:51 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-334.html


Comment 5 foobarra 2005-03-30 13:36:48 UTC
The errata release is incomplete for RHEL-3, and does not include a patched
mysql-server package...

Comment 6 Mark J. Cox 2005-03-30 13:45:33 UTC
On RHEL3, mysql-server is part of "Extras", see bug 152437 for tracking.


Note You need to log in before you can comment on or make changes to this bug.